VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "XLXN_1"
        SIGNAL "Microinstr(7:0)"
        SIGNAL "Microinstr(7)"
        SIGNAL "Button"
        SIGNAL "Microinstr(6)"
        SIGNAL "Microinstr(5)"
        SIGNAL "Microinstr(4)"
        SIGNAL "Microinstr(3)"
        SIGNAL "Addr(3)"
        SIGNAL "Addr(2)"
        SIGNAL "Addr(1)"
        SIGNAL "Addr(0)"
        SIGNAL "Addr(3:0)"
        SIGNAL "reset"
        SIGNAL "XLXN_21"
        SIGNAL "clk"
        SIGNAL "Microinstr(2)"
        SIGNAL "Microinstr(1)"
        SIGNAL "ECA"
        SIGNAL "ECB"
        SIGNAL "XLXN_25(3:0)"
        SIGNAL "XLXN_34"
        SIGNAL "ECC"
        SIGNAL "Microinstr(0)"
        SIGNAL "XLXN_37"
        PORT Input "Button"
        PORT Input "reset"
        PORT Input "clk"
        PORT Output "ECA"
        PORT Output "ECB"
        PORT Output "ECC"
        BEGIN BLOCKDEF "ctrl_mem"
            TIMESTAMP 2005 4 24 16 32 54
            RECTANGLE N 64 -156 400 0 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 240 0 240 80 
            RECTANGLE N 208 0 276 80 
        END BLOCKDEF
        BEGIN BLOCKDEF "fd4ce"
            TIMESTAMP 2001 2 2 12 52 25
            LINE N 384 -448 320 -448 
            LINE N 384 -384 320 -384 
            LINE N 0 -384 64 -384 
            LINE N 0 -448 64 -448 
            LINE N 0 -320 64 -320 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            RECTANGLE N 64 -512 320 -64 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF "m2_1"
            TIMESTAMP 2001 2 2 12 54 40
            LINE N 96 -64 96 -192 
            LINE N 256 -96 96 -64 
            LINE N 256 -160 256 -96 
            LINE N 96 -192 256 -160 
            LINE N 176 -32 96 -32 
            LINE N 176 -80 176 -32 
            LINE N 0 -32 96 -32 
            LINE N 320 -128 256 -128 
            LINE N 0 -96 96 -96 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF "vcc"
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF "buf"
            TIMESTAMP 2001 2 2 12 51 12
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_1" "ctrl_mem"
            PIN "addr(3:0)" "Addr(3:0)"
            PIN "data(7:0)" "Microinstr(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_2" "fd4ce"
            PIN "C" "clk"
            PIN "CE" "XLXN_21"
            PIN "CLR" "reset"
            PIN "D0" "Microinstr(6)"
            PIN "D1" "Microinstr(5)"
            PIN "D2" "Microinstr(4)"
            PIN "D3" "XLXN_1"
            PIN "Q0" "Addr(3)"
            PIN "Q1" "Addr(2)"
            PIN "Q2" "Addr(1)"
            PIN "Q3" "Addr(0)"
        END BLOCK
        BEGIN BLOCK "XLXI_3" "m2_1"
            PIN "D0" "Microinstr(3)"
            PIN "D1" "Button"
            PIN "S0" "Microinstr(7)"
            PIN "O" "XLXN_1"
        END BLOCK
        BEGIN BLOCK "XLXI_4" "vcc"
            PIN "P" "XLXN_21"
        END BLOCK
        BEGIN BLOCK "XLXI_8" "buf"
            PIN "I" "Microinstr(2)"
            PIN "O" "ECA"
        END BLOCK
        BEGIN BLOCK "XLXI_9" "buf"
            PIN "I" "Microinstr(1)"
            PIN "O" "ECB"
        END BLOCK
        BEGIN BLOCK "XLXI_10" "buf"
            PIN "I" "Microinstr(0)"
            PIN "O" "ECC"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE "XLXI_2" 944 1488 M0
        BEGIN BRANCH "Microinstr(7)"
            WIRE 1520 1088 1616 1088
            WIRE 1616 1088 1616 1136
            WIRE 1616 1136 1680 1136
            BEGIN DISPLAY 1680 1136 ATTR "Name"
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Button"
            WIRE 1520 1152 1808 1152
        END BRANCH
        BEGIN BRANCH "Microinstr(6)"
            WIRE 944 1040 1136 1040
            WIRE 1136 1040 1152 1040
            BEGIN DISPLAY 1136 1040 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Microinstr(5)"
            WIRE 944 1104 1136 1104
            WIRE 1136 1104 1152 1104
            BEGIN DISPLAY 1136 1104 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Microinstr(4)"
            WIRE 944 1168 1136 1168
            WIRE 1136 1168 1152 1168
            BEGIN DISPLAY 1136 1168 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Microinstr(3)"
            WIRE 1520 1216 1632 1216
            WIRE 1632 1216 1632 1264
            WIRE 1632 1264 1712 1264
            BEGIN DISPLAY 1712 1264 ATTR "Name"
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BUSTAP 384 1040 480 1040
        BEGIN BRANCH "Addr(3)"
            WIRE 480 1040 560 1040
        END BRANCH
        BEGIN BRANCH "Addr(2)"
            WIRE 480 1104 560 1104
        END BRANCH
        BEGIN BRANCH "Addr(1)"
            WIRE 480 1168 560 1168
        END BRANCH
        BEGIN BRANCH "Addr(0)"
            WIRE 480 1232 560 1232
        END BRANCH
        BEGIN BRANCH "Addr(3:0)"
            WIRE 368 640 368 1040
            WIRE 368 1040 368 1104
            WIRE 368 1104 368 1168
            WIRE 368 1168 368 1232
            WIRE 368 1232 384 1232
            WIRE 368 1168 384 1168
            WIRE 368 1104 384 1104
            WIRE 368 1040 384 1040
            WIRE 368 640 480 640
            WIRE 480 416 1088 416
            WIRE 480 416 480 640
            BEGIN DISPLAY 480 640 ATTR "Name"
                ALIGNMENT SOFT-TCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 384 1104 480 1104
        BUSTAP 384 1168 480 1168
        BUSTAP 384 1232 480 1232
        BEGIN BRANCH "reset"
            WIRE 944 1456 960 1456
            WIRE 960 1440 1776 1440
            WIRE 960 1440 960 1456
        END BRANCH
        BEGIN BRANCH "XLXN_21"
            WIRE 944 1296 960 1296
            WIRE 960 1296 960 1344
            WIRE 960 1344 1120 1344
            WIRE 1120 1328 1120 1344
        END BRANCH
        INSTANCE "XLXI_4" 1056 1328 R0
        INSTANCE "XLXI_3" 1520 1056 R180
        BEGIN BRANCH "XLXN_1"
            WIRE 944 1232 960 1232
            WIRE 960 1184 1200 1184
            WIRE 960 1184 960 1232
        END BRANCH
        BEGIN BRANCH "clk"
            WIRE 944 1360 1776 1360
        END BRANCH
        IOMARKER 1808 1152 "Button" R0 28
        IOMARKER 1776 1440 "reset" R0 28
        IOMARKER 1776 1360 "clk" R0 28
        BEGIN BRANCH "Microinstr(2)"
            WIRE 1424 800 1584 800
        END BRANCH
        BEGIN BRANCH "Microinstr(1)"
            WIRE 1424 880 1584 880
        END BRANCH
        BEGIN BRANCH "ECA"
            WIRE 1808 800 2000 800
        END BRANCH
        BEGIN BRANCH "ECB"
            WIRE 1808 880 2000 880
        END BRANCH
        IOMARKER 2000 800 "ECA" R0 28
        IOMARKER 2000 880 "ECB" R0 28
        BEGIN INSTANCE "XLXI_1" 1088 448 R0
        END INSTANCE
        BEGIN BRANCH "Microinstr(7:0)"
            WIRE 1328 528 1328 800
            WIRE 1328 800 1328 880
            WIRE 1328 880 1328 896
            WIRE 1328 896 1328 960
            WIRE 1328 960 1344 960
        END BRANCH
        INSTANCE "XLXI_8" 1584 832 R0
        INSTANCE "XLXI_9" 1584 912 R0
        BUSTAP 1328 800 1424 800
        BUSTAP 1328 880 1424 880
        BEGIN BRANCH "ECC"
            WIRE 1808 960 2016 960
        END BRANCH
        BEGIN BRANCH "Microinstr(0)"
            WIRE 1440 960 1584 960
        END BRANCH
        BUSTAP 1344 960 1440 960
        INSTANCE "XLXI_10" 1584 992 R0
        IOMARKER 2016 960 "ECC" R0 28
    END SHEET
END SCHEMATIC
