-- Vhdl model created from schematic C:\Xilinx52\spartan2\data\drawing\m2_1.sch - Mon May 23 12:42:53 2005

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY M2_1_MXILINX_ex_mictrl IS
   PORT ( D0	:	IN	STD_LOGIC; 
          D1	:	IN	STD_LOGIC; 
          S0	:	IN	STD_LOGIC; 
          O	:	OUT	STD_LOGIC);

end M2_1_MXILINX_ex_mictrl;

ARCHITECTURE SCHEMATIC OF M2_1_MXILINX_ex_mictrl IS
   SIGNAL M0	:	STD_LOGIC;
   SIGNAL M1	:	STD_LOGIC;

   ATTRIBUTE BOX_TYPE : STRING;

   COMPONENT AND2
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF AND2 : COMPONENT IS "BLACK_BOX";
   COMPONENT AND2B1
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF AND2B1 : COMPONENT IS "BLACK_BOX";
   COMPONENT OR2
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF OR2 : COMPONENT IS "BLACK_BOX";
BEGIN

   I_36_9 : AND2
      PORT MAP (I0=>D1, I1=>S0, O=>M1);

   I_36_7 : AND2B1
      PORT MAP (I0=>S0, I1=>D0, O=>M0);

   I_36_8 : OR2
      PORT MAP (I0=>M1, I1=>M0, O=>O);

END SCHEMATIC;



-- Vhdl model created from schematic C:\Xilinx52\spartan2\data\drawing\fd4ce.sch - Mon May 23 12:42:53 2005

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY FD4CE_MXILINX_ex_mictrl IS
   PORT ( C	:	IN	STD_LOGIC; 
          CE	:	IN	STD_LOGIC; 
          CLR	:	IN	STD_LOGIC; 
          D0	:	IN	STD_LOGIC; 
          D1	:	IN	STD_LOGIC; 
          D2	:	IN	STD_LOGIC; 
          D3	:	IN	STD_LOGIC; 
          Q0	:	OUT	STD_LOGIC; 
          Q1	:	OUT	STD_LOGIC; 
          Q2	:	OUT	STD_LOGIC; 
          Q3	:	OUT	STD_LOGIC);

end FD4CE_MXILINX_ex_mictrl;

ARCHITECTURE SCHEMATIC OF FD4CE_MXILINX_ex_mictrl IS

   ATTRIBUTE BOX_TYPE : STRING;
   ATTRIBUTE INIT : STRING ;
   ATTRIBUTE INIT OF I_Q3 : LABEL IS "0";
   ATTRIBUTE INIT OF I_Q1 : LABEL IS "0";
   ATTRIBUTE INIT OF I_Q0 : LABEL IS "0";
   ATTRIBUTE INIT OF I_Q2 : LABEL IS "0";

   COMPONENT FDCE
   -- synopsys translate_off
   GENERIC(       INIT : BIT := '0'   );
   -- synopsys translate_on
      PORT ( C	:	IN	STD_LOGIC; 
             CE	:	IN	STD_LOGIC; 
             CLR	:	IN	STD_LOGIC; 
             D	:	IN	STD_LOGIC; 
             Q	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF FDCE : COMPONENT IS "BLACK_BOX";
BEGIN

   I_Q3 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D3, Q=>Q3);

   I_Q1 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D1, Q=>Q1);

   I_Q0 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D0, Q=>Q0);

   I_Q2 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D2, Q=>Q2);

END SCHEMATIC;



-- Vhdl model created from schematic ex_mictrl.sch - Mon May 23 12:42:53 2005

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY ex_mictrl IS
   PORT ( Button	:	IN	STD_LOGIC; 
          clk	:	IN	STD_LOGIC; 
          reset	:	IN	STD_LOGIC; 
          ECA	:	OUT	STD_LOGIC; 
          ECB	:	OUT	STD_LOGIC; 
          ECC	:	OUT	STD_LOGIC);

end ex_mictrl;

ARCHITECTURE SCHEMATIC OF ex_mictrl IS
   SIGNAL Addr	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
   SIGNAL Microinstr	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
   SIGNAL XLXN_1	:	STD_LOGIC;
   SIGNAL XLXN_21	:	STD_LOGIC;

   ATTRIBUTE BOX_TYPE : STRING;
   ATTRIBUTE HU_SET : STRING ;
   ATTRIBUTE HU_SET OF XLXI_2 : LABEL IS "XLXI_2_0";
   ATTRIBUTE HU_SET OF XLXI_3 : LABEL IS "XLXI_3_1";

   COMPONENT BUF
      PORT ( I	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF BUF : COMPONENT IS "BLACK_BOX";
   COMPONENT ctrl_mem
      PORT ( addr	:	IN	STD_LOGIC_VECTOR (3 DOWNTO 0); 
             data	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0));
   END COMPONENT;

   COMPONENT FD4CE_MXILINX_ex_mictrl
      PORT ( C	:	IN	STD_LOGIC; 
             CE	:	IN	STD_LOGIC; 
             CLR	:	IN	STD_LOGIC; 
             D0	:	IN	STD_LOGIC; 
             D1	:	IN	STD_LOGIC; 
             D2	:	IN	STD_LOGIC; 
             D3	:	IN	STD_LOGIC; 
             Q0	:	OUT	STD_LOGIC; 
             Q1	:	OUT	STD_LOGIC; 
             Q2	:	OUT	STD_LOGIC; 
             Q3	:	OUT	STD_LOGIC);
   END COMPONENT;

   COMPONENT M2_1_MXILINX_ex_mictrl
      PORT ( D0	:	IN	STD_LOGIC; 
             D1	:	IN	STD_LOGIC; 
             S0	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   COMPONENT VCC
      PORT ( P	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF VCC : COMPONENT IS "BLACK_BOX";
BEGIN

   XLXI_8 : BUF
      PORT MAP (I=>Microinstr(2), O=>ECA);

   XLXI_9 : BUF
      PORT MAP (I=>Microinstr(1), O=>ECB);

   XLXI_10 : BUF
      PORT MAP (I=>Microinstr(0), O=>ECC);

   XLXI_1 : ctrl_mem
      PORT MAP (addr(3)=>Addr(3), addr(2)=>Addr(2), addr(1)=>Addr(1),
      addr(0)=>Addr(0), data(7)=>Microinstr(7), data(6)=>Microinstr(6),
      data(5)=>Microinstr(5), data(4)=>Microinstr(4), data(3)=>Microinstr(3),
      data(2)=>Microinstr(2), data(1)=>Microinstr(1), data(0)=>Microinstr(0));

   XLXI_2 : FD4CE_MXILINX_ex_mictrl
      PORT MAP (C=>clk, CE=>XLXN_21, CLR=>reset, D0=>Microinstr(6),
      D1=>Microinstr(5), D2=>Microinstr(4), D3=>XLXN_1, Q0=>Addr(3),
      Q1=>Addr(2), Q2=>Addr(1), Q3=>Addr(0));

   XLXI_3 : M2_1_MXILINX_ex_mictrl
      PORT MAP (D0=>Microinstr(3), D1=>Button, S0=>Microinstr(7), O=>XLXN_1);

   XLXI_4 : VCC
      PORT MAP (P=>XLXN_21);

END SCHEMATIC;



