VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "data(7:0)"
        SIGNAL "A(7:0)"
        SIGNAL "B(7:0)"
        SIGNAL "XLXN_9"
        SIGNAL "SUM(7:0)"
        SIGNAL "ECB"
        SIGNAL "ECA"
        SIGNAL "res"
        SIGNAL "clk"
        SIGNAL "ECC"
        SIGNAL "OVERFLOW"
        SIGNAL "C(7:0)"
        SIGNAL "A(0)"
        SIGNAL "A(1)"
        SIGNAL "A(2)"
        SIGNAL "A(3)"
        SIGNAL "A(4)"
        SIGNAL "A(5)"
        SIGNAL "A(6)"
        SIGNAL "A(7)"
        SIGNAL "SUM(0)"
        SIGNAL "SUM(1)"
        SIGNAL "SUM(2)"
        SIGNAL "SUM(3)"
        SIGNAL "SUM(4)"
        SIGNAL "SUM(5)"
        SIGNAL "SUM(6)"
        SIGNAL "SUM(7)"
        SIGNAL "B(0)"
        SIGNAL "B(1)"
        SIGNAL "B(2)"
        PORT Input "data(7:0)"
        PORT Output "A(7:0)"
        PORT Output "B(7:0)"
        PORT Input "ECB"
        PORT Input "ECA"
        PORT Input "res"
        PORT Input "clk"
        PORT Input "ECC"
        PORT Output "OVERFLOW"
        PORT Output "C(7:0)"
        BEGIN BLOCKDEF "fd8ce"
            TIMESTAMP 2001 2 2 12 52 25
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF "fdce"
            TIMESTAMP 2001 2 2 12 52 25
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF "brlshft8"
            TIMESTAMP 2001 2 2 12 55 3
            LINE N 0 -192 64 -192 
            RECTANGLE N 64 -896 320 -64 
            LINE N 384 -576 320 -576 
            LINE N 0 -576 64 -576 
            LINE N 0 -512 64 -512 
            LINE N 384 -512 320 -512 
            LINE N 384 -448 320 -448 
            LINE N 0 -448 64 -448 
            LINE N 0 -384 64 -384 
            LINE N 384 -384 320 -384 
            LINE N 384 -640 320 -640 
            LINE N 384 -704 320 -704 
            LINE N 384 -768 320 -768 
            LINE N 384 -832 320 -832 
            LINE N 0 -832 64 -832 
            LINE N 0 -768 64 -768 
            LINE N 0 -704 64 -704 
            LINE N 0 -640 64 -640 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
        END BLOCKDEF
        BEGIN BLOCKDEF "gnd"
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_2" "fd8ce"
            PIN "C" "clk"
            PIN "CE" "ECA"
            PIN "CLR" "res"
            PIN "D(7:0)" "data(7:0)"
            PIN "Q(7:0)" "A(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_3" "fd8ce"
            PIN "C" "clk"
            PIN "CE" "ECB"
            PIN "CLR" "res"
            PIN "D(7:0)" "data(7:0)"
            PIN "Q(7:0)" "B(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_4" "fd8ce"
            PIN "C" "clk"
            PIN "CE" "ECC"
            PIN "CLR" "res"
            PIN "D(7:0)" "SUM(7:0)"
            PIN "Q(7:0)" "C(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_6" "fdce"
            PIN "C" "clk"
            PIN "CE" "ECC"
            PIN "CLR" "res"
            PIN "D" "XLXN_9"
            PIN "Q" "OVERFLOW"
        END BLOCK
        BEGIN BLOCK "XLXI_8" "brlshft8"
            PIN "I0" "A(0)"
            PIN "I1" "A(1)"
            PIN "I2" "A(2)"
            PIN "I3" "A(3)"
            PIN "I4" "A(4)"
            PIN "I5" "A(5)"
            PIN "I6" "A(6)"
            PIN "I7" "A(7)"
            PIN "S0" "B(0)"
            PIN "S1" "B(1)"
            PIN "S2" "B(2)"
            PIN "O0" "SUM(0)"
            PIN "O1" "SUM(1)"
            PIN "O2" "SUM(2)"
            PIN "O3" "SUM(3)"
            PIN "O4" "SUM(4)"
            PIN "O5" "SUM(5)"
            PIN "O6" "SUM(6)"
            PIN "O7" "SUM(7)"
        END BLOCK
        BEGIN BLOCK "XLXI_12" "gnd"
            PIN "G" "XLXN_9"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE "XLXI_2" 416 944 R0
        INSTANCE "XLXI_3" 416 1760 R0
        BEGIN BRANCH "data(7:0)"
            WIRE 192 1120 224 1120
            WIRE 224 1120 224 1504
            WIRE 224 1504 416 1504
            WIRE 224 688 416 688
            WIRE 224 688 224 1120
        END BRANCH
        IOMARKER 192 1120 "data(7:0)" R180 28
        BEGIN BRANCH "A(7:0)"
            WIRE 800 688 944 688
            WIRE 944 688 944 736
            WIRE 944 736 944 768
            WIRE 944 768 944 800
            WIRE 944 800 944 944
            WIRE 944 944 1008 944
            WIRE 1008 944 1072 944
            WIRE 1072 944 1088 944
            WIRE 1088 944 1104 944
            WIRE 1104 944 1136 944
            WIRE 1136 944 1168 944
            WIRE 1168 944 1200 944
            WIRE 1200 944 1216 944
            WIRE 944 480 944 688
            WIRE 944 480 1024 480
            BEGIN DISPLAY 1008 944 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(7:0)"
            WIRE 800 1504 944 1504
            WIRE 944 1504 1008 1504
            WIRE 944 1072 944 1504
            WIRE 944 1072 1008 1072
            WIRE 1008 1072 1056 1072
            WIRE 1056 1072 1088 1072
            WIRE 1088 1072 1120 1072
            WIRE 1120 1072 1264 1072
            BEGIN DISPLAY 1008 1072 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_6" 1952 1616 R0
        BEGIN BRANCH "XLXN_9"
            WIRE 1680 1136 1824 1136
            WIRE 1824 1136 1824 1360
            WIRE 1824 1360 1952 1360
        END BRANCH
        BEGIN BRANCH "ECB"
            WIRE 160 1568 304 1568
            WIRE 304 1568 416 1568
            BEGIN DISPLAY 304 1568 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "ECA"
            WIRE 128 752 288 752
            WIRE 288 752 416 752
            BEGIN DISPLAY 288 752 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 128 912 "res" R180 28
        IOMARKER 128 752 "ECA" R180 28
        IOMARKER 160 1568 "ECB" R180 28
        IOMARKER 128 816 "clk" R180 28
        IOMARKER 1840 1072 "ECC" R180 28
        IOMARKER 1024 480 "A(7:0)" R0 28
        IOMARKER 1008 1504 "B(7:0)" R0 28
        IOMARKER 2528 1008 "C(7:0)" R0 28
        BEGIN BRANCH "OVERFLOW"
            WIRE 2336 1360 2560 1360
        END BRANCH
        IOMARKER 2560 1360 "OVERFLOW" R0 28
        INSTANCE "XLXI_12" 1616 1264 R0
        BEGIN BRANCH "res"
            WIRE 128 912 288 912
            WIRE 288 912 336 912
            WIRE 336 912 416 912
            WIRE 336 912 336 1728
            WIRE 336 1728 416 1728
            WIRE 336 1728 336 1760
            WIRE 336 1760 1744 1760
            WIRE 1744 1232 1744 1584
            WIRE 1744 1584 1952 1584
            WIRE 1744 1584 1744 1760
            WIRE 1744 1232 2016 1232
            BEGIN DISPLAY 288 912 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "clk"
            WIRE 128 816 288 816
            WIRE 288 816 416 816
            WIRE 288 816 288 1632
            WIRE 288 1632 416 1632
            WIRE 288 1632 288 1920
            WIRE 288 1920 1088 1920
            WIRE 1088 1392 1088 1920
            WIRE 1088 1392 1888 1392
            WIRE 1888 1392 1888 1488
            WIRE 1888 1488 1952 1488
            WIRE 1888 1136 1888 1392
            WIRE 1888 1136 2016 1136
            BEGIN DISPLAY 288 816 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "ECC"
            WIRE 1840 1072 1872 1072
            WIRE 1872 1072 1872 1424
            WIRE 1872 1424 1952 1424
            WIRE 1872 1072 2016 1072
        END BRANCH
        INSTANCE "XLXI_4" 2016 1264 R0
        BEGIN BRANCH "SUM(7:0)"
            WIRE 1696 1008 1712 1008
            WIRE 1712 1008 1744 1008
            WIRE 1744 1008 1776 1008
            WIRE 1776 1008 1808 1008
            WIRE 1808 1008 1840 1008
            WIRE 1840 1008 1872 1008
            WIRE 1872 1008 1920 1008
            WIRE 1920 1008 1952 1008
            WIRE 1952 1008 2016 1008
        END BRANCH
        BEGIN BRANCH "C(7:0)"
            WIRE 2400 1008 2528 1008
        END BRANCH
        BUSTAP 1136 944 1136 848
        BUSTAP 1104 944 1104 848
        BUSTAP 1072 944 1072 848
        BEGIN BRANCH "A(0)"
            WIRE 1072 592 1072 832
            WIRE 1072 832 1072 848
            WIRE 1072 592 1264 592
        END BRANCH
        BEGIN BRANCH "A(1)"
            WIRE 1104 656 1104 832
            WIRE 1104 832 1104 848
            WIRE 1104 656 1264 656
        END BRANCH
        BEGIN BRANCH "A(2)"
            WIRE 1136 720 1136 832
            WIRE 1136 832 1136 848
            WIRE 1136 720 1264 720
        END BRANCH
        INSTANCE "XLXI_8" 1264 1424 R0
        BUSTAP 1168 944 1168 848
        BUSTAP 1200 944 1200 848
        BEGIN BRANCH "A(3)"
            WIRE 1168 784 1264 784
            WIRE 1168 784 1168 848
        END BRANCH
        BEGIN BRANCH "A(4)"
            WIRE 1200 800 1200 848
            WIRE 1200 800 1232 800
            WIRE 1232 800 1232 848
            WIRE 1232 848 1264 848
        END BRANCH
        BUSTAP 944 736 1040 736
        BUSTAP 944 768 1040 768
        BUSTAP 944 800 1040 800
        BEGIN BRANCH "A(5)"
            WIRE 1040 736 1248 736
            WIRE 1248 736 1248 912
            WIRE 1248 912 1264 912
        END BRANCH
        BEGIN BRANCH "A(6)"
            WIRE 1040 768 1056 768
            WIRE 1056 768 1056 832
            WIRE 1040 832 1056 832
            WIRE 1040 832 1040 976
            WIRE 1040 976 1264 976
        END BRANCH
        BEGIN BRANCH "A(7)"
            WIRE 864 672 1120 672
            WIRE 1120 672 1120 800
            WIRE 864 672 864 1040
            WIRE 864 1040 1264 1040
            WIRE 1040 800 1120 800
        END BRANCH
        BUSTAP 1952 1008 1952 912
        BUSTAP 1920 1008 1920 912
        BUSTAP 1872 1008 1872 912
        BUSTAP 1840 1008 1840 912
        BUSTAP 1808 1008 1808 912
        BUSTAP 1776 1008 1776 912
        BUSTAP 1744 1008 1744 912
        BUSTAP 1712 1008 1712 912
        BEGIN BRANCH "SUM(0)"
            WIRE 1648 592 1968 592
            WIRE 1968 592 1968 912
            WIRE 1952 912 1968 912
        END BRANCH
        BEGIN BRANCH "SUM(1)"
            WIRE 1648 656 1920 656
            WIRE 1920 656 1920 912
        END BRANCH
        BEGIN BRANCH "SUM(2)"
            WIRE 1648 720 1872 720
            WIRE 1872 720 1872 912
        END BRANCH
        BEGIN BRANCH "SUM(3)"
            WIRE 1648 784 1840 784
            WIRE 1840 784 1840 912
        END BRANCH
        BEGIN BRANCH "SUM(4)"
            WIRE 1648 848 1808 848
            WIRE 1808 848 1808 912
        END BRANCH
        BEGIN BRANCH "SUM(5)"
            WIRE 1648 912 1680 912
            WIRE 1680 864 1680 912
            WIRE 1680 864 1776 864
            WIRE 1776 864 1776 912
        END BRANCH
        BEGIN BRANCH "SUM(6)"
            WIRE 1648 976 1664 976
            WIRE 1664 832 1664 976
            WIRE 1664 832 1744 832
            WIRE 1744 832 1744 912
        END BRANCH
        BEGIN BRANCH "SUM(7)"
            WIRE 1648 1040 2000 1040
            WIRE 1712 880 2000 880
            WIRE 2000 880 2000 1040
            WIRE 1712 880 1712 912
        END BRANCH
        BUSTAP 1056 1072 1056 1168
        BUSTAP 1088 1072 1088 1168
        BUSTAP 1120 1072 1120 1168
        BEGIN BRANCH "B(0)"
            WIRE 1120 1168 1120 1232
            WIRE 1120 1232 1200 1232
            WIRE 1200 1168 1200 1232
            WIRE 1200 1168 1264 1168
        END BRANCH
        BEGIN BRANCH "B(1)"
            WIRE 1088 1168 1088 1216
            WIRE 1088 1216 1248 1216
            WIRE 1248 1216 1248 1232
            WIRE 1248 1232 1264 1232
        END BRANCH
        BEGIN BRANCH "B(2)"
            WIRE 1056 1168 1056 1296
            WIRE 1056 1296 1264 1296
        END BRANCH
    END SHEET
END SCHEMATIC
