-- Vhdl model created from schematic C:\Xilinx52\spartan2\data\drawing\m2_1.sch - Mon May 30 11:28:00 2005

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY M2_1_MXILINX_example_data IS
   PORT ( D0	:	IN	STD_LOGIC; 
          D1	:	IN	STD_LOGIC; 
          S0	:	IN	STD_LOGIC; 
          O	:	OUT	STD_LOGIC);

end M2_1_MXILINX_example_data;

ARCHITECTURE SCHEMATIC OF M2_1_MXILINX_example_data IS
   SIGNAL M0	:	STD_LOGIC;
   SIGNAL M1	:	STD_LOGIC;

   ATTRIBUTE BOX_TYPE : STRING;

   COMPONENT AND2
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF AND2 : COMPONENT IS "BLACK_BOX";
   COMPONENT AND2B1
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF AND2B1 : COMPONENT IS "BLACK_BOX";
   COMPONENT OR2
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF OR2 : COMPONENT IS "BLACK_BOX";
BEGIN

   I_36_9 : AND2
      PORT MAP (I0=>D1, I1=>S0, O=>M1);

   I_36_7 : AND2B1
      PORT MAP (I0=>S0, I1=>D0, O=>M0);

   I_36_8 : OR2
      PORT MAP (I0=>M1, I1=>M0, O=>O);

END SCHEMATIC;



-- Vhdl model created from schematic C:\Xilinx52\spartan2\data\drawing\brlshft8.sch - Mon May 30 11:28:00 2005

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY BRLSHFT8_MXILINX_example_data IS
   PORT ( I0	:	IN	STD_LOGIC; 
          I1	:	IN	STD_LOGIC; 
          I2	:	IN	STD_LOGIC; 
          I3	:	IN	STD_LOGIC; 
          I4	:	IN	STD_LOGIC; 
          I5	:	IN	STD_LOGIC; 
          I6	:	IN	STD_LOGIC; 
          I7	:	IN	STD_LOGIC; 
          S0	:	IN	STD_LOGIC; 
          S1	:	IN	STD_LOGIC; 
          S2	:	IN	STD_LOGIC; 
          O0	:	OUT	STD_LOGIC; 
          O1	:	OUT	STD_LOGIC; 
          O2	:	OUT	STD_LOGIC; 
          O3	:	OUT	STD_LOGIC; 
          O4	:	OUT	STD_LOGIC; 
          O5	:	OUT	STD_LOGIC; 
          O6	:	OUT	STD_LOGIC; 
          O7	:	OUT	STD_LOGIC);

end BRLSHFT8_MXILINX_example_data;

ARCHITECTURE SCHEMATIC OF BRLSHFT8_MXILINX_example_data IS
   SIGNAL M01	:	STD_LOGIC;
   SIGNAL M12	:	STD_LOGIC;
   SIGNAL M23	:	STD_LOGIC;
   SIGNAL M34	:	STD_LOGIC;
   SIGNAL M45	:	STD_LOGIC;
   SIGNAL M56	:	STD_LOGIC;
   SIGNAL M67	:	STD_LOGIC;
   SIGNAL M70	:	STD_LOGIC;
   SIGNAL MO0	:	STD_LOGIC;
   SIGNAL MO1	:	STD_LOGIC;
   SIGNAL MO2	:	STD_LOGIC;
   SIGNAL MO3	:	STD_LOGIC;
   SIGNAL MO4	:	STD_LOGIC;
   SIGNAL MO5	:	STD_LOGIC;
   SIGNAL MO6	:	STD_LOGIC;
   SIGNAL MO7	:	STD_LOGIC;

   ATTRIBUTE BOX_TYPE : STRING;
   ATTRIBUTE HU_SET : STRING ;
   ATTRIBUTE HU_SET OF I_MO6 : LABEL IS "I_MO6_23";
   ATTRIBUTE HU_SET OF I_MO5 : LABEL IS "I_MO5_22";
   ATTRIBUTE HU_SET OF I_MO4 : LABEL IS "I_MO4_21";
   ATTRIBUTE HU_SET OF I_MO3 : LABEL IS "I_MO3_20";
   ATTRIBUTE HU_SET OF I_MO2 : LABEL IS "I_MO2_19";
   ATTRIBUTE HU_SET OF I_MO1 : LABEL IS "I_MO1_18";
   ATTRIBUTE HU_SET OF I_MO0 : LABEL IS "I_MO0_17";
   ATTRIBUTE HU_SET OF I_M70 : LABEL IS "I_M70_16";
   ATTRIBUTE HU_SET OF I_MO7 : LABEL IS "I_MO7_15";
   ATTRIBUTE HU_SET OF I_M23 : LABEL IS "I_M23_14";
   ATTRIBUTE HU_SET OF I_M12 : LABEL IS "I_M12_13";
   ATTRIBUTE HU_SET OF I_M01 : LABEL IS "I_M01_12";
   ATTRIBUTE HU_SET OF I_M34 : LABEL IS "I_M34_11";
   ATTRIBUTE HU_SET OF I_M67 : LABEL IS "I_M67_10";
   ATTRIBUTE HU_SET OF I_M56 : LABEL IS "I_M56_9";
   ATTRIBUTE HU_SET OF I_M45 : LABEL IS "I_M45_8";
   ATTRIBUTE HU_SET OF I_O2 : LABEL IS "I_O2_7";
   ATTRIBUTE HU_SET OF I_O3 : LABEL IS "I_O3_6";
   ATTRIBUTE HU_SET OF I_O4 : LABEL IS "I_O4_5";
   ATTRIBUTE HU_SET OF I_O5 : LABEL IS "I_O5_4";
   ATTRIBUTE HU_SET OF I_O6 : LABEL IS "I_O6_3";
   ATTRIBUTE HU_SET OF I_O7 : LABEL IS "I_O7_2";
   ATTRIBUTE HU_SET OF I_O1 : LABEL IS "I_O1_1";
   ATTRIBUTE HU_SET OF I_O0 : LABEL IS "I_O0_0";

   COMPONENT M2_1_MXILINX_example_data
      PORT ( D0	:	IN	STD_LOGIC; 
             D1	:	IN	STD_LOGIC; 
             S0	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

BEGIN

   I_MO6 : M2_1_MXILINX_example_data
      PORT MAP (D0=>M67, D1=>M01, S0=>S1, O=>MO6);

   I_MO5 : M2_1_MXILINX_example_data
      PORT MAP (D0=>M56, D1=>M70, S0=>S1, O=>MO5);

   I_MO4 : M2_1_MXILINX_example_data
      PORT MAP (D0=>M45, D1=>M67, S0=>S1, O=>MO4);

   I_MO3 : M2_1_MXILINX_example_data
      PORT MAP (D0=>M34, D1=>M56, S0=>S1, O=>MO3);

   I_MO2 : M2_1_MXILINX_example_data
      PORT MAP (D0=>M23, D1=>M45, S0=>S1, O=>MO2);

   I_MO1 : M2_1_MXILINX_example_data
      PORT MAP (D0=>M12, D1=>M34, S0=>S1, O=>MO1);

   I_MO0 : M2_1_MXILINX_example_data
      PORT MAP (D0=>M01, D1=>M23, S0=>S1, O=>MO0);

   I_M70 : M2_1_MXILINX_example_data
      PORT MAP (D0=>I7, D1=>I0, S0=>S0, O=>M70);

   I_MO7 : M2_1_MXILINX_example_data
      PORT MAP (D0=>M70, D1=>M12, S0=>S1, O=>MO7);

   I_M23 : M2_1_MXILINX_example_data
      PORT MAP (D0=>I2, D1=>I3, S0=>S0, O=>M23);

   I_M12 : M2_1_MXILINX_example_data
      PORT MAP (D0=>I1, D1=>I2, S0=>S0, O=>M12);

   I_M01 : M2_1_MXILINX_example_data
      PORT MAP (D0=>I0, D1=>I1, S0=>S0, O=>M01);

   I_M34 : M2_1_MXILINX_example_data
      PORT MAP (D0=>I3, D1=>I4, S0=>S0, O=>M34);

   I_M67 : M2_1_MXILINX_example_data
      PORT MAP (D0=>I6, D1=>I7, S0=>S0, O=>M67);

   I_M56 : M2_1_MXILINX_example_data
      PORT MAP (D0=>I5, D1=>I6, S0=>S0, O=>M56);

   I_M45 : M2_1_MXILINX_example_data
      PORT MAP (D0=>I4, D1=>I5, S0=>S0, O=>M45);

   I_O2 : M2_1_MXILINX_example_data
      PORT MAP (D0=>MO2, D1=>MO6, S0=>S2, O=>O2);

   I_O3 : M2_1_MXILINX_example_data
      PORT MAP (D0=>MO3, D1=>MO7, S0=>S2, O=>O3);

   I_O4 : M2_1_MXILINX_example_data
      PORT MAP (D0=>MO4, D1=>MO0, S0=>S2, O=>O4);

   I_O5 : M2_1_MXILINX_example_data
      PORT MAP (D0=>MO5, D1=>MO1, S0=>S2, O=>O5);

   I_O6 : M2_1_MXILINX_example_data
      PORT MAP (D0=>MO6, D1=>MO2, S0=>S2, O=>O6);

   I_O7 : M2_1_MXILINX_example_data
      PORT MAP (D0=>MO7, D1=>MO3, S0=>S2, O=>O7);

   I_O1 : M2_1_MXILINX_example_data
      PORT MAP (D0=>MO1, D1=>MO5, S0=>S2, O=>O1);

   I_O0 : M2_1_MXILINX_example_data
      PORT MAP (D0=>MO0, D1=>MO4, S0=>S2, O=>O0);

END SCHEMATIC;



-- Vhdl model created from schematic C:\Xilinx52\spartan2\data\drawing\fd8ce.sch - Mon May 30 11:28:00 2005

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY FD8CE_MXILINX_example_data IS
   PORT ( C	:	IN	STD_LOGIC; 
          CE	:	IN	STD_LOGIC; 
          CLR	:	IN	STD_LOGIC; 
          D	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          Q	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0));

end FD8CE_MXILINX_example_data;

ARCHITECTURE SCHEMATIC OF FD8CE_MXILINX_example_data IS

   ATTRIBUTE BOX_TYPE : STRING;
   ATTRIBUTE INIT : STRING ;
   ATTRIBUTE INIT OF I_Q7 : LABEL IS "0";
   ATTRIBUTE INIT OF I_Q6 : LABEL IS "0";
   ATTRIBUTE INIT OF I_Q4 : LABEL IS "0";
   ATTRIBUTE INIT OF I_Q5 : LABEL IS "0";
   ATTRIBUTE INIT OF I_Q0 : LABEL IS "0";
   ATTRIBUTE INIT OF I_Q1 : LABEL IS "0";
   ATTRIBUTE INIT OF I_Q2 : LABEL IS "0";
   ATTRIBUTE INIT OF I_Q3 : LABEL IS "0";

   COMPONENT FDCE
   -- synopsys translate_off
   GENERIC(       INIT : BIT := '0'   );
   -- synopsys translate_on
      PORT ( C	:	IN	STD_LOGIC; 
             CE	:	IN	STD_LOGIC; 
             CLR	:	IN	STD_LOGIC; 
             D	:	IN	STD_LOGIC; 
             Q	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF FDCE : COMPONENT IS "BLACK_BOX";
BEGIN

   I_Q7 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D(7), Q=>Q(7));

   I_Q6 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D(6), Q=>Q(6));

   I_Q4 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D(4), Q=>Q(4));

   I_Q5 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D(5), Q=>Q(5));

   I_Q0 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D(0), Q=>Q(0));

   I_Q1 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D(1), Q=>Q(1));

   I_Q2 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D(2), Q=>Q(2));

   I_Q3 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>C, CE=>CE, CLR=>CLR, D=>D(3), Q=>Q(3));

END SCHEMATIC;



-- Vhdl model created from schematic example_data.sch - Mon May 30 11:28:00 2005

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY example_data IS
   PORT ( ECA	:	IN	STD_LOGIC; 
          ECB	:	IN	STD_LOGIC; 
          ECC	:	IN	STD_LOGIC; 
          clk	:	IN	STD_LOGIC; 
          data	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          res	:	IN	STD_LOGIC; 
          A	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          B	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          C	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          OVERFLOW	:	OUT	STD_LOGIC);

end example_data;

ARCHITECTURE SCHEMATIC OF example_data IS
   SIGNAL A_DUMMY	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
   SIGNAL B_DUMMY	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
   SIGNAL SUM	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
   SIGNAL XLXN_9	:	STD_LOGIC;

   ATTRIBUTE BOX_TYPE : STRING;
   ATTRIBUTE HU_SET : STRING ;
   ATTRIBUTE HU_SET OF XLXI_8 : LABEL IS "XLXI_8_27";
   ATTRIBUTE HU_SET OF XLXI_2 : LABEL IS "XLXI_2_24";
   ATTRIBUTE HU_SET OF XLXI_3 : LABEL IS "XLXI_3_25";
   ATTRIBUTE HU_SET OF XLXI_4 : LABEL IS "XLXI_4_26";
   ATTRIBUTE INIT : STRING ;
   ATTRIBUTE INIT OF XLXI_6 : LABEL IS "0";

   COMPONENT BRLSHFT8_MXILINX_example_data
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             I2	:	IN	STD_LOGIC; 
             I3	:	IN	STD_LOGIC; 
             I4	:	IN	STD_LOGIC; 
             I5	:	IN	STD_LOGIC; 
             I6	:	IN	STD_LOGIC; 
             I7	:	IN	STD_LOGIC; 
             S0	:	IN	STD_LOGIC; 
             S1	:	IN	STD_LOGIC; 
             S2	:	IN	STD_LOGIC; 
             O0	:	OUT	STD_LOGIC; 
             O1	:	OUT	STD_LOGIC; 
             O2	:	OUT	STD_LOGIC; 
             O3	:	OUT	STD_LOGIC; 
             O4	:	OUT	STD_LOGIC; 
             O5	:	OUT	STD_LOGIC; 
             O6	:	OUT	STD_LOGIC; 
             O7	:	OUT	STD_LOGIC);
   END COMPONENT;

   COMPONENT FD8CE_MXILINX_example_data
      PORT ( C	:	IN	STD_LOGIC; 
             CE	:	IN	STD_LOGIC; 
             CLR	:	IN	STD_LOGIC; 
             D	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
             Q	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0));
   END COMPONENT;

   COMPONENT FDCE
   -- synopsys translate_off
   GENERIC(       INIT : BIT := '0'   );
   -- synopsys translate_on
      PORT ( C	:	IN	STD_LOGIC; 
             CE	:	IN	STD_LOGIC; 
             CLR	:	IN	STD_LOGIC; 
             D	:	IN	STD_LOGIC; 
             Q	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF FDCE : COMPONENT IS "BLACK_BOX";
   COMPONENT GND
      PORT ( G	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF GND : COMPONENT IS "BLACK_BOX";
BEGIN
   A <= A_DUMMY;
   B <= B_DUMMY;

   XLXI_8 : BRLSHFT8_MXILINX_example_data
      PORT MAP (I0=>A_DUMMY(0), I1=>A_DUMMY(1), I2=>A_DUMMY(2), I3=>A_DUMMY(3),
      I4=>A_DUMMY(4), I5=>A_DUMMY(5), I6=>A_DUMMY(6), I7=>A_DUMMY(7),
      S0=>B_DUMMY(0), S1=>B_DUMMY(1), S2=>B_DUMMY(2), O0=>SUM(0), O1=>SUM(1),
      O2=>SUM(2), O3=>SUM(3), O4=>SUM(4), O5=>SUM(5), O6=>SUM(6), O7=>SUM(7));

   XLXI_2 : FD8CE_MXILINX_example_data
      PORT MAP (C=>clk, CE=>ECA, CLR=>res, D(7)=>data(7), D(6)=>data(6),
      D(5)=>data(5), D(4)=>data(4), D(3)=>data(3), D(2)=>data(2),
      D(1)=>data(1), D(0)=>data(0), Q(7)=>A_DUMMY(7), Q(6)=>A_DUMMY(6),
      Q(5)=>A_DUMMY(5), Q(4)=>A_DUMMY(4), Q(3)=>A_DUMMY(3), Q(2)=>A_DUMMY(2),
      Q(1)=>A_DUMMY(1), Q(0)=>A_DUMMY(0));

   XLXI_3 : FD8CE_MXILINX_example_data
      PORT MAP (C=>clk, CE=>ECB, CLR=>res, D(7)=>data(7), D(6)=>data(6),
      D(5)=>data(5), D(4)=>data(4), D(3)=>data(3), D(2)=>data(2),
      D(1)=>data(1), D(0)=>data(0), Q(7)=>B_DUMMY(7), Q(6)=>B_DUMMY(6),
      Q(5)=>B_DUMMY(5), Q(4)=>B_DUMMY(4), Q(3)=>B_DUMMY(3), Q(2)=>B_DUMMY(2),
      Q(1)=>B_DUMMY(1), Q(0)=>B_DUMMY(0));

   XLXI_4 : FD8CE_MXILINX_example_data
      PORT MAP (C=>clk, CE=>ECC, CLR=>res, D(7)=>SUM(7), D(6)=>SUM(6),
      D(5)=>SUM(5), D(4)=>SUM(4), D(3)=>SUM(3), D(2)=>SUM(2), D(1)=>SUM(1),
      D(0)=>SUM(0), Q(7)=>C(7), Q(6)=>C(6), Q(5)=>C(5), Q(4)=>C(4), Q(3)=>C(3),
      Q(2)=>C(2), Q(1)=>C(1), Q(0)=>C(0));

   XLXI_6 : FDCE
   -- synopsys translate_off
   GENERIC MAP (       INIT => '0'   )
   -- synopsys translate_on
      PORT MAP (C=>clk, CE=>ECC, CLR=>res, D=>XLXN_9, Q=>OVERFLOW);

   XLXI_12 : GND
      PORT MAP (G=>XLXN_9);

END SCHEMATIC;



