VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "XLXN_1(63:0)"
        SIGNAL "XLXN_2(7:0)"
        SIGNAL "XLXN_3(15:0)"
        SIGNAL "XLXN_4(15:0)"
        SIGNAL "clocks(24:0)"
        SIGNAL "btns(14:0)"
        SIGNAL "XLXN_10"
        SIGNAL "XLXN_11"
        SIGNAL "addr(6:0)"
        SIGNAL "data(7:0)"
        SIGNAL "lcd_e"
        SIGNAL "lcd_rs"
        SIGNAL "lcd_rw"
        SIGNAL "dio2clk"
        SIGNAL "oe"
        SIGNAL "we"
        SIGNAL "cs"
        SIGNAL "clk"
        SIGNAL "XLXN_24"
        SIGNAL "reset"
        SIGNAL "XLXN_27"
        SIGNAL "btns(0)"
        SIGNAL "clocks(16)"
        PORT Output "addr(6:0)"
        PORT BiDirectional "data(7:0)"
        PORT Output "lcd_e"
        PORT Output "lcd_rs"
        PORT Output "lcd_rw"
        PORT Output "dio2clk"
        PORT Output "oe"
        PORT Output "we"
        PORT Output "cs"
        PORT Input "clk"
        PORT Input "reset"
        BEGIN BLOCKDEF "dio2_interface"
            TIMESTAMP 2005 2 21 16 34 58
            RECTANGLE N 64 -752 432 0 
            LINE N 496 -720 432 -720 
            LINE N 496 -656 432 -656 
            LINE N 64 -464 0 -464 
            LINE N 64 -368 0 -368 
            RECTANGLE N 0 -380 64 -356 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -80 0 -80 
            RECTANGLE N 0 -92 64 -68 
            LINE N 432 -592 496 -592 
            LINE N 432 -528 496 -528 
            LINE N 432 -464 496 -464 
            LINE N 432 -400 496 -400 
            LINE N 432 -336 496 -336 
            LINE N 432 -272 496 -272 
            LINE N 432 -208 496 -208 
            LINE N 0 -512 64 -512 
            LINE N 432 -144 496 -144 
            RECTANGLE N 432 -156 496 -132 
            LINE N 0 -304 64 -304 
            RECTANGLE N 0 -316 64 -292 
            LINE N 0 -416 64 -416 
            RECTANGLE N 0 -428 64 -404 
            LINE N 0 -144 64 -144 
            LINE N 432 -80 496 -80 
            RECTANGLE N 432 -92 496 -68 
            RECTANGLE N 0 -156 64 -132 
        END BLOCKDEF
        BEGIN BLOCKDEF "vcc"
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF "ibufg"
            TIMESTAMP 2001 2 2 12 53 1
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF "example_core_binary"
            TIMESTAMP 2005 4 24 18 6 59
            RECTANGLE N 64 -256 400 0 
            LINE N 464 -80 400 -80 
            RECTANGLE N 400 -92 464 -68 
            LINE N 64 -64 0 -64 
            LINE N 64 -192 0 -192 
            LINE N 64 -128 0 -128 
            LINE N 400 -32 464 -32 
            RECTANGLE N 400 -44 464 -20 
            LINE N 400 -128 464 -128 
            RECTANGLE N 400 -140 464 -116 
            LINE N 400 -176 464 -176 
            RECTANGLE N 400 -188 464 -164 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_1" "dio2_interface"
            PIN "clk" "clk"
            PIN "reset" "XLXN_24"
            PIN "lcd_on" "XLXN_11"
            PIN "sseg(15:0)" "XLXN_4(15:0)"
            PIN "dio(15:0)" "XLXN_3(15:0)"
            PIN "lcd(63:0)" "XLXN_1(63:0)"
            PIN "cs" "cs"
            PIN "we" "we"
            PIN "oe" "oe"
            PIN "dio2clk" "dio2clk"
            PIN "lcd_rw" "lcd_rw"
            PIN "lcd_rs" "lcd_rs"
            PIN "lcd_e" "lcd_e"
            PIN "res" "XLXN_10"
            PIN "addr(6:0)" "addr(6:0)"
            PIN "clocks(24:0)" "clocks(24:0)"
            PIN "btns(14:0)" "btns(14:0)"
            PIN "swtch(7:0)" "XLXN_2(7:0)"
            PIN "data(7:0)" "data(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_3" "vcc"
            PIN "P" "XLXN_11"
        END BLOCK
        BEGIN BLOCK "XLXI_4" "ibufg"
            PIN "I" "reset"
            PIN "O" "XLXN_24"
        END BLOCK
        BEGIN BLOCK "XLXI_6" "example_core_binary"
            PIN "swtch(7:0)" "XLXN_2(7:0)"
            PIN "Button" "btns(0)"
            PIN "Reset" "XLXN_10"
            PIN "CLK" "clocks(16)"
            PIN "LCD(63:0)" "XLXN_1(63:0)"
            PIN "dio(15:0)" "XLXN_3(15:0)"
            PIN "sseg(15:0)" "XLXN_4(15:0)"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE "XLXI_1" 1856 1920 R0
        END INSTANCE
        BEGIN BRANCH "XLXN_1(63:0)"
            WIRE 1312 1840 1856 1840
        END BRANCH
        BEGIN BRANCH "XLXN_2(7:0)"
            WIRE 1312 1792 1360 1792
            WIRE 1360 1776 1856 1776
            WIRE 1360 1776 1360 1792
        END BRANCH
        BEGIN BRANCH "XLXN_3(15:0)"
            WIRE 1312 1744 1360 1744
            WIRE 1360 1712 1600 1712
            WIRE 1360 1712 1360 1744
            WIRE 1600 1696 1600 1712
            WIRE 1600 1696 1856 1696
        END BRANCH
        BEGIN BRANCH "XLXN_4(15:0)"
            WIRE 1312 1696 1360 1696
            WIRE 1360 1648 1600 1648
            WIRE 1360 1648 1360 1696
            WIRE 1600 1552 1600 1648
            WIRE 1600 1552 1856 1552
        END BRANCH
        BEGIN BRANCH "clocks(24:0)"
            WIRE 1680 1616 1856 1616
        END BRANCH
        BEGIN BRANCH "btns(14:0)"
            WIRE 1680 1504 1856 1504
        END BRANCH
        BEGIN BRANCH "XLXN_10"
            WIRE 752 1408 1856 1408
            WIRE 752 1408 752 1680
            WIRE 752 1680 848 1680
        END BRANCH
        INSTANCE "XLXI_3" 1616 1344 R0
        BEGIN BRANCH "XLXN_11"
            WIRE 1680 1344 1680 1456
            WIRE 1680 1456 1856 1456
        END BRANCH
        BEGIN BRANCH "addr(6:0)"
            WIRE 2352 1776 2592 1776
        END BRANCH
        BEGIN BRANCH "data(7:0)"
            WIRE 2352 1840 2592 1840
        END BRANCH
        BEGIN BRANCH "lcd_e"
            WIRE 2352 1712 2592 1712
        END BRANCH
        BEGIN BRANCH "lcd_rs"
            WIRE 2352 1648 2592 1648
        END BRANCH
        BEGIN BRANCH "dio2clk"
            WIRE 2352 1520 2592 1520
        END BRANCH
        BEGIN BRANCH "oe"
            WIRE 2352 1456 2592 1456
        END BRANCH
        BEGIN BRANCH "we"
            WIRE 2352 1392 2592 1392
        END BRANCH
        BEGIN BRANCH "cs"
            WIRE 2352 1328 2592 1328
        END BRANCH
        BEGIN BRANCH "clk"
            WIRE 2352 1200 2592 1200
        END BRANCH
        BEGIN BRANCH "lcd_rw"
            WIRE 2352 1584 2592 1584
        END BRANCH
        IOMARKER 2592 1776 "addr(6:0)" R0 28
        IOMARKER 2592 1840 "data(7:0)" R0 28
        IOMARKER 2592 1712 "lcd_e" R0 28
        IOMARKER 2592 1648 "lcd_rs" R0 28
        IOMARKER 2592 1584 "lcd_rw" R0 28
        IOMARKER 2592 1520 "dio2clk" R0 28
        IOMARKER 2592 1456 "oe" R0 28
        IOMARKER 2592 1392 "we" R0 28
        IOMARKER 2592 1328 "cs" R0 28
        IOMARKER 2592 1200 "clk" R0 28
        INSTANCE "XLXI_4" 2640 1296 M0
        BEGIN BRANCH "XLXN_24"
            WIRE 2352 1264 2416 1264
        END BRANCH
        BEGIN BRANCH "reset"
            WIRE 2640 1264 2752 1264
        END BRANCH
        IOMARKER 2752 1264 "reset" R0 28
        BEGIN INSTANCE "XLXI_6" 848 1872 R0
        END INSTANCE
        BEGIN BRANCH "btns(0)"
            WIRE 640 1808 720 1808
            WIRE 720 1808 848 1808
            BEGIN DISPLAY 720 1808 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "clocks(16)"
            WIRE 656 1744 752 1744
            WIRE 752 1744 848 1744
            BEGIN DISPLAY 752 1744 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
