VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "Q0"
        SIGNAL "Q1"
        SIGNAL "Q2"
        SIGNAL "D0"
        SIGNAL "D1"
        SIGNAL "D2"
        SIGNAL "XLXN_9"
        SIGNAL "XLXN_10"
        SIGNAL "XLXN_11"
        SIGNAL "Button"
        SIGNAL "XLXN_22"
        SIGNAL "XLXN_23"
        SIGNAL "XLXN_24"
        SIGNAL "XLXN_25"
        SIGNAL "XLXN_47"
        SIGNAL "XLXN_48"
        SIGNAL "XLXN_49"
        SIGNAL "ECA"
        SIGNAL "ECB"
        SIGNAL "ECC"
        SIGNAL "CLK"
        SIGNAL "reset"
        PORT Input "Button"
        PORT Output "ECA"
        PORT Output "ECB"
        PORT Output "ECC"
        PORT Input "CLK"
        PORT Input "reset"
        BEGIN BLOCKDEF "fdc"
            TIMESTAMP 2001 2 2 12 52 25
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF "or3"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 48 -64 
            LINE N 0 -128 72 -128 
            LINE N 0 -192 48 -192 
            LINE N 256 -128 192 -128 
            ARC N 28 -256 204 -80 112 -80 192 -128 
            ARC N -40 -184 72 -72 48 -80 48 -176 
            LINE N 48 -64 48 -80 
            LINE N 48 -192 48 -176 
            LINE N 112 -80 48 -80 
            ARC N 28 -176 204 0 192 -128 112 -176 
            LINE N 112 -176 48 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF "and3b2"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF "or4"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 48 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 48 -256 
            LINE N 256 -160 192 -160 
            ARC N 28 -208 204 -32 192 -160 112 -208 
            LINE N 112 -208 48 -208 
            LINE N 112 -112 48 -112 
            LINE N 48 -256 48 -208 
            LINE N 48 -64 48 -112 
            ARC N -40 -216 72 -104 48 -112 48 -208 
            ARC N 28 -288 204 -112 112 -112 192 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF "and2"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF "and3b1"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF "and2b1"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF "and3"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -176 144 -176 
            LINE N 144 -80 64 -80 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 64 -64 64 -192 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_1" "fdc"
            PIN "C" "CLK"
            PIN "CLR" "reset"
            PIN "D" "D0"
            PIN "Q" "Q0"
        END BLOCK
        BEGIN BLOCK "XLXI_2" "fdc"
            PIN "C" "CLK"
            PIN "CLR" "reset"
            PIN "D" "D1"
            PIN "Q" "Q1"
        END BLOCK
        BEGIN BLOCK "XLXI_3" "fdc"
            PIN "C" "CLK"
            PIN "CLR" "reset"
            PIN "D" "D2"
            PIN "Q" "Q2"
        END BLOCK
        BEGIN BLOCK "XLXI_4" "or3"
            PIN "I0" "XLXN_11"
            PIN "I1" "XLXN_10"
            PIN "I2" "XLXN_9"
            PIN "O" "D0"
        END BLOCK
        BEGIN BLOCK "XLXI_6" "or3"
            PIN "I0" "XLXN_49"
            PIN "I1" "XLXN_48"
            PIN "I2" "XLXN_47"
            PIN "O" "D2"
        END BLOCK
        BEGIN BLOCK "XLXI_7" "and3b2"
            PIN "I0" "Q1"
            PIN "I1" "Q0"
            PIN "I2" "Q2"
            PIN "O" "XLXN_9"
        END BLOCK
        BEGIN BLOCK "XLXI_8" "and3b2"
            PIN "I0" "Q2"
            PIN "I1" "Button"
            PIN "I2" "Q1"
            PIN "O" "XLXN_10"
        END BLOCK
        BEGIN BLOCK "XLXI_9" "and3b2"
            PIN "I0" "Q0"
            PIN "I1" "Q1"
            PIN "I2" "Button"
            PIN "O" "XLXN_11"
        END BLOCK
        BEGIN BLOCK "XLXI_10" "or4"
            PIN "I0" "XLXN_25"
            PIN "I1" "XLXN_24"
            PIN "I2" "XLXN_23"
            PIN "I3" "XLXN_22"
            PIN "O" "D1"
        END BLOCK
        BEGIN BLOCK "XLXI_11" "and2"
            PIN "I0" "Q2"
            PIN "I1" "Q0"
            PIN "O" "XLXN_22"
        END BLOCK
        BEGIN BLOCK "XLXI_12" "and3b2"
            PIN "I0" "Q2"
            PIN "I1" "Q1"
            PIN "I2" "Q0"
            PIN "O" "XLXN_23"
        END BLOCK
        BEGIN BLOCK "XLXI_13" "and3b1"
            PIN "I0" "Q0"
            PIN "I1" "Q1"
            PIN "I2" "Button"
            PIN "O" "XLXN_24"
        END BLOCK
        BEGIN BLOCK "XLXI_14" "and3b2"
            PIN "I0" "Q2"
            PIN "I1" "Button"
            PIN "I2" "Q1"
            PIN "O" "XLXN_25"
        END BLOCK
        BEGIN BLOCK "XLXI_15" "and2b1"
            PIN "I0" "Q1"
            PIN "I1" "Q2"
            PIN "O" "XLXN_47"
        END BLOCK
        BEGIN BLOCK "XLXI_16" "and2"
            PIN "I0" "Q2"
            PIN "I1" "Button"
            PIN "O" "XLXN_48"
        END BLOCK
        BEGIN BLOCK "XLXI_17" "and3"
            PIN "I0" "Q1"
            PIN "I1" "Q0"
            PIN "I2" "Button"
            PIN "O" "XLXN_49"
        END BLOCK
        BEGIN BLOCK "XLXI_18" "and3b2"
            PIN "I0" "Q2"
            PIN "I1" "Q1"
            PIN "I2" "Q0"
            PIN "O" "ECA"
        END BLOCK
        BEGIN BLOCK "XLXI_19" "and3b2"
            PIN "I0" "Q0"
            PIN "I1" "Q1"
            PIN "I2" "Q2"
            PIN "O" "ECB"
        END BLOCK
        BEGIN BLOCK "XLXI_20" "and3b1"
            PIN "I0" "Q1"
            PIN "I1" "Q0"
            PIN "I2" "Q2"
            PIN "O" "ECC"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE "XLXI_1" 2016 1280 R0
        INSTANCE "XLXI_2" 2016 1744 R0
        BEGIN BRANCH "Q0"
            WIRE 2400 1024 2512 1024
            WIRE 2512 1024 2672 1024
            BEGIN DISPLAY 2512 1024 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 2400 1488 2512 1488
            WIRE 2512 1488 2688 1488
            BEGIN DISPLAY 2512 1488 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q2"
            WIRE 2432 1968 2512 1968
            WIRE 2512 1968 2688 1968
            BEGIN DISPLAY 2512 1968 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_4" 1440 1152 R0
        BEGIN BRANCH "D0"
            WIRE 1696 1024 1728 1024
            WIRE 1728 1024 2016 1024
            BEGIN DISPLAY 1728 1024 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "D1"
            WIRE 1680 1488 1712 1488
            WIRE 1712 1488 2016 1488
            BEGIN DISPLAY 1712 1488 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "D2"
            WIRE 1728 1968 1744 1968
            WIRE 1744 1968 1744 2208
            WIRE 1744 1968 2048 1968
            WIRE 1728 2208 1744 2208
            BEGIN DISPLAY 1728 1968 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_8" 832 1200 R0
        INSTANCE "XLXI_7" 832 1024 R0
        INSTANCE "XLXI_9" 832 1376 R0
        BEGIN BRANCH "XLXN_9"
            WIRE 1088 896 1440 896
            WIRE 1440 896 1440 960
        END BRANCH
        BEGIN BRANCH "XLXN_10"
            WIRE 1088 1072 1264 1072
            WIRE 1264 1024 1264 1072
            WIRE 1264 1024 1440 1024
        END BRANCH
        BEGIN BRANCH "XLXN_11"
            WIRE 1088 1248 1440 1248
            WIRE 1440 1088 1440 1248
        END BRANCH
        BEGIN BRANCH "Q2"
            WIRE 480 832 832 832
            BEGIN DISPLAY 480 832 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q0"
            WIRE 480 896 832 896
            BEGIN DISPLAY 480 896 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 480 960 832 960
            BEGIN DISPLAY 480 960 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 480 1008 832 1008
            BEGIN DISPLAY 480 1008 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Button"
            WIRE 480 1072 496 1072
            WIRE 496 1072 832 1072
        END BRANCH
        BEGIN BRANCH "Q2"
            WIRE 480 1136 832 1136
            BEGIN DISPLAY 480 1136 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Button"
            WIRE 480 1184 832 1184
            BEGIN DISPLAY 480 1184 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 480 1248 832 1248
            BEGIN DISPLAY 480 1248 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q0"
            WIRE 480 1312 832 1312
            BEGIN DISPLAY 480 1312 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_10" 1424 1648 R0
        INSTANCE "XLXI_11" 816 1504 R0
        INSTANCE "XLXI_12" 816 1680 R0
        INSTANCE "XLXI_13" 816 1856 R0
        BEGIN BRANCH "XLXN_22"
            WIRE 1072 1408 1248 1408
            WIRE 1248 1392 1248 1408
            WIRE 1248 1392 1424 1392
        END BRANCH
        BEGIN BRANCH "XLXN_23"
            WIRE 1072 1552 1248 1552
            WIRE 1248 1456 1248 1552
            WIRE 1248 1456 1424 1456
        END BRANCH
        BEGIN BRANCH "XLXN_24"
            WIRE 1072 1728 1264 1728
            WIRE 1264 1520 1264 1728
            WIRE 1264 1520 1424 1520
        END BRANCH
        BEGIN BRANCH "XLXN_25"
            WIRE 1072 1904 1424 1904
            WIRE 1424 1584 1424 1904
        END BRANCH
        BEGIN BRANCH "Q0"
            WIRE 480 1376 816 1376
            BEGIN DISPLAY 480 1376 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q2"
            WIRE 480 1440 816 1440
            BEGIN DISPLAY 480 1440 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q0"
            WIRE 480 1488 816 1488
            BEGIN DISPLAY 480 1488 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 480 1552 816 1552
            BEGIN DISPLAY 480 1552 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q2"
            WIRE 480 1616 816 1616
            BEGIN DISPLAY 480 1616 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Button"
            WIRE 480 1664 816 1664
            BEGIN DISPLAY 480 1664 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 480 1728 816 1728
            BEGIN DISPLAY 480 1728 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q0"
            WIRE 480 1792 816 1792
            BEGIN DISPLAY 480 1792 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_14" 816 2032 R0
        BEGIN BRANCH "Q1"
            WIRE 464 1840 816 1840
            BEGIN DISPLAY 464 1840 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Button"
            WIRE 464 1904 816 1904
            BEGIN DISPLAY 464 1904 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q2"
            WIRE 464 1968 816 1968
            BEGIN DISPLAY 464 1968 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_6" 1472 2336 R0
        INSTANCE "XLXI_15" 816 2224 R0
        INSTANCE "XLXI_16" 816 2368 R0
        INSTANCE "XLXI_17" 816 2560 R0
        BEGIN BRANCH "Q2"
            WIRE 464 2096 816 2096
            BEGIN DISPLAY 464 2096 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 464 2160 816 2160
            BEGIN DISPLAY 464 2160 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Button"
            WIRE 464 2240 816 2240
            BEGIN DISPLAY 464 2240 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q2"
            WIRE 464 2304 816 2304
            BEGIN DISPLAY 464 2304 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Button"
            WIRE 464 2368 816 2368
            BEGIN DISPLAY 464 2368 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q0"
            WIRE 464 2432 816 2432
            BEGIN DISPLAY 464 2432 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 464 2496 816 2496
            BEGIN DISPLAY 464 2496 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "XLXN_47"
            WIRE 1072 2128 1472 2128
            WIRE 1472 2128 1472 2144
        END BRANCH
        BEGIN BRANCH "XLXN_48"
            WIRE 1072 2272 1264 2272
            WIRE 1264 2208 1264 2272
            WIRE 1264 2208 1472 2208
        END BRANCH
        BEGIN BRANCH "XLXN_49"
            WIRE 1072 2432 1472 2432
            WIRE 1472 2272 1472 2432
        END BRANCH
        INSTANCE "XLXI_18" 2736 592 R0
        INSTANCE "XLXI_19" 2736 832 R0
        INSTANCE "XLXI_20" 2736 1024 R0
        BEGIN BRANCH "Q0"
            WIRE 2416 400 2736 400
            BEGIN DISPLAY 2416 400 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 2416 464 2736 464
            BEGIN DISPLAY 2416 464 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q2"
            WIRE 2416 528 2736 528
            BEGIN DISPLAY 2416 528 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q2"
            WIRE 2416 640 2736 640
            BEGIN DISPLAY 2416 640 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 2416 704 2736 704
            BEGIN DISPLAY 2416 704 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q0"
            WIRE 2416 768 2736 768
            BEGIN DISPLAY 2416 768 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q2"
            WIRE 2416 832 2736 832
            BEGIN DISPLAY 2416 832 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q0"
            WIRE 2416 896 2736 896
            BEGIN DISPLAY 2416 896 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Q1"
            WIRE 2416 960 2736 960
            BEGIN DISPLAY 2416 960 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "ECA"
            WIRE 2992 464 3168 464
        END BRANCH
        BEGIN BRANCH "ECB"
            WIRE 2992 704 3136 704
        END BRANCH
        BEGIN BRANCH "ECC"
            WIRE 2992 896 3152 896
        END BRANCH
        IOMARKER 3168 464 "ECA" R0 28
        IOMARKER 3136 704 "ECB" R0 28
        IOMARKER 3152 896 "ECC" R0 28
        BEGIN BRANCH "CLK"
            WIRE 1792 1152 2016 1152
        END BRANCH
        BEGIN BRANCH "reset"
            WIRE 1792 1248 2016 1248
        END BRANCH
        BEGIN BRANCH "CLK"
            WIRE 1792 1616 2016 1616
            BEGIN DISPLAY 1792 1616 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "reset"
            WIRE 1792 1712 2016 1712
            BEGIN DISPLAY 1792 1712 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "CLK"
            WIRE 1824 2096 2048 2096
            BEGIN DISPLAY 1824 2096 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "reset"
            WIRE 1824 2192 2048 2192
            BEGIN DISPLAY 1824 2192 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 1792 1152 "CLK" R180 28
        IOMARKER 1792 1248 "reset" R180 28
        IOMARKER 480 1072 "Button" R180 28
        INSTANCE "XLXI_3" 2048 2224 R0
    END SHEET
END SCHEMATIC
