VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "XLXN_2"
        SIGNAL "Button"
        SIGNAL "XLXN_5"
        SIGNAL "XLXN_7"
        SIGNAL "ECA"
        SIGNAL "XLXN_13"
        SIGNAL "XLXN_14"
        SIGNAL "XLXN_27"
        SIGNAL "XLXN_29"
        SIGNAL "XLXN_31"
        SIGNAL "XLXN_35"
        SIGNAL "ECB"
        SIGNAL "XLXN_40"
        SIGNAL "ECC"
        SIGNAL "XLXN_42"
        SIGNAL "XLXN_48"
        SIGNAL "XLXN_49"
        SIGNAL "XLXN_50"
        SIGNAL "XLXN_51"
        SIGNAL "XLXN_52"
        SIGNAL "reset"
        SIGNAL "clk"
        PORT Input "Button"
        PORT Output "ECA"
        PORT Output "ECB"
        PORT Output "ECC"
        PORT Input "reset"
        PORT Input "clk"
        BEGIN BLOCKDEF "fds"
            TIMESTAMP 2001 2 2 12 52 25
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -320 192 -352 
            LINE N 192 -352 64 -352 
            RECTANGLE N 64 -320 320 -64 
            LINE N 0 -352 64 -352 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF "fdr"
            TIMESTAMP 2001 2 2 12 52 25
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 0 -32 64 -32 
            RECTANGLE N 64 -320 320 -64 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF "and2"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF "or2"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF "inv"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK "Inits" "fds"
            PIN "C" "clk"
            PIN "D" "XLXN_48"
            PIN "S" "reset"
            PIN "Q" "XLXN_51"
        END BLOCK
        BEGIN BLOCK "RdA" "fdr"
            PIN "C" "clk"
            PIN "D" "XLXN_2"
            PIN "R" "reset"
            PIN "Q" "ECA"
        END BLOCK
        BEGIN BLOCK "RdAW" "fdr"
            PIN "C" "clk"
            PIN "D" "XLXN_5"
            PIN "R" "reset"
            PIN "Q" "XLXN_13"
        END BLOCK
        BEGIN BLOCK "RdA2" "fdr"
            PIN "C" "clk"
            PIN "D" "XLXN_31"
            PIN "R" "reset"
            PIN "Q" "XLXN_27"
        END BLOCK
        BEGIN BLOCK "RdB" "fdr"
            PIN "C" "clk"
            PIN "D" "XLXN_35"
            PIN "R" "reset"
            PIN "Q" "ECB"
        END BLOCK
        BEGIN BLOCK "Exec" "fdr"
            PIN "C" "clk"
            PIN "D" "ECB"
            PIN "R" "reset"
            PIN "Q" "ECC"
        END BLOCK
        BEGIN BLOCK "WaitFin" "fdr"
            PIN "C" "clk"
            PIN "D" "XLXN_40"
            PIN "R" "reset"
            PIN "Q" "XLXN_52"
        END BLOCK
        BEGIN BLOCK "XLXI_9" "and2"
            PIN "I0" "XLXN_51"
            PIN "I1" "Button"
            PIN "O" "XLXN_2"
        END BLOCK
        BEGIN BLOCK "XLXI_10" "and2"
            PIN "I0" "XLXN_13"
            PIN "I1" "Button"
            PIN "O" "XLXN_7"
        END BLOCK
        BEGIN BLOCK "XLXI_11" "or2"
            PIN "I0" "ECA"
            PIN "I1" "XLXN_7"
            PIN "O" "XLXN_5"
        END BLOCK
        BEGIN BLOCK "XLXI_12" "inv"
            PIN "I" "Button"
            PIN "O" "XLXN_14"
        END BLOCK
        BEGIN BLOCK "XLXI_14" "or2"
            PIN "I0" "XLXN_27"
            PIN "I1" "XLXN_13"
            PIN "O" "XLXN_29"
        END BLOCK
        BEGIN BLOCK "XLXI_15" "and2"
            PIN "I0" "XLXN_29"
            PIN "I1" "XLXN_14"
            PIN "O" "XLXN_31"
        END BLOCK
        BEGIN BLOCK "XLXI_16" "and2"
            PIN "I0" "Button"
            PIN "I1" "XLXN_27"
            PIN "O" "XLXN_35"
        END BLOCK
        BEGIN BLOCK "XLXI_17" "and2"
            PIN "I0" "XLXN_52"
            PIN "I1" "Button"
            PIN "O" "XLXN_42"
        END BLOCK
        BEGIN BLOCK "XLXI_18" "or2"
            PIN "I0" "ECC"
            PIN "I1" "XLXN_42"
            PIN "O" "XLXN_40"
        END BLOCK
        BEGIN BLOCK "XLXI_21" "inv"
            PIN "I" "Button"
            PIN "O" "XLXN_49"
        END BLOCK
        BEGIN BLOCK "XLXI_22" "or2"
            PIN "I0" "XLXN_51"
            PIN "I1" "XLXN_52"
            PIN "O" "XLXN_50"
        END BLOCK
        BEGIN BLOCK "XLXI_23" "and2"
            PIN "I0" "XLXN_49"
            PIN "I1" "XLXN_50"
            PIN "O" "XLXN_48"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE "Inits" 640 672 R0
            BEGIN DISPLAY 0 -444 ATTR "InstName"
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE "RdA" 1696 640 R0
            BEGIN DISPLAY 0 -412 ATTR "InstName"
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        INSTANCE "XLXI_9" 1248 480 R0
        BEGIN BRANCH "XLXN_2"
            WIRE 1504 384 1696 384
        END BRANCH
        IOMARKER 416 160 "Button" R180 28
        INSTANCE "XLXI_10" 2624 848 M0
        BEGIN BRANCH "XLXN_5"
            WIRE 2400 1008 2448 1008
        END BRANCH
        BEGIN BRANCH "ECA"
            WIRE 2080 384 2112 384
            WIRE 2112 384 2112 1040
            WIRE 2112 1040 2144 1040
            WIRE 2112 384 2304 384
        END BRANCH
        BEGIN INSTANCE "RdAW" 2448 1264 R0
            BEGIN DISPLAY 0 -412 ATTR "InstName"
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        INSTANCE "XLXI_11" 2144 1104 R0
        BEGIN BRANCH "XLXN_7"
            WIRE 2144 752 2368 752
            WIRE 2144 752 2144 976
        END BRANCH
        BEGIN BRANCH "XLXN_13"
            WIRE 2624 784 2864 784
            WIRE 2864 784 2864 1008
            WIRE 2864 1008 2864 1360
            WIRE 2864 1360 2896 1360
            WIRE 2832 1008 2864 1008
        END BRANCH
        INSTANCE "XLXI_12" 2832 752 R0
        BEGIN BRANCH "XLXN_27"
            WIRE 2480 1424 2592 1424
            WIRE 2592 1424 2896 1424
            WIRE 2592 1424 2592 1824
        END BRANCH
        INSTANCE "XLXI_14" 2896 1488 R0
        INSTANCE "XLXI_15" 3200 1376 R0
        BEGIN BRANCH "XLXN_14"
            WIRE 3056 720 3072 720
            WIRE 3072 720 3072 1248
            WIRE 3072 1248 3200 1248
        END BRANCH
        BEGIN BRANCH "XLXN_29"
            WIRE 3152 1392 3168 1392
            WIRE 3168 1312 3168 1392
            WIRE 3168 1312 3200 1312
        END BRANCH
        BEGIN INSTANCE "RdA2" 2096 1680 R0
            BEGIN DISPLAY 0 -412 ATTR "InstName"
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH "XLXN_31"
            WIRE 2032 1424 2096 1424
            WIRE 2032 1424 2032 1712
            WIRE 2032 1712 3472 1712
            WIRE 3456 1280 3472 1280
            WIRE 3472 1280 3472 1712
        END BRANCH
        INSTANCE "XLXI_16" 2592 1952 R0
        BEGIN BRANCH "Button"
            WIRE 416 160 1232 160
            WIRE 1232 160 1232 352
            WIRE 1232 352 1248 352
            WIRE 1232 352 1232 800
            WIRE 1232 800 1232 928
            WIRE 1232 928 1232 1888
            WIRE 1232 1888 2592 1888
            WIRE 1232 160 2688 160
            WIRE 2688 160 2688 720
            WIRE 2688 720 2832 720
            WIRE 448 928 448 1136
            WIRE 448 1136 496 1136
            WIRE 448 928 1232 928
            WIRE 1072 800 1232 800
            WIRE 2624 720 2688 720
        END BRANCH
        BEGIN BRANCH "XLXN_35"
            WIRE 2368 2112 2864 2112
            WIRE 2848 1856 2864 1856
            WIRE 2864 1856 2864 2112
        END BRANCH
        BEGIN BRANCH "ECB"
            WIRE 1424 2112 1872 2112
            WIRE 1872 2112 1984 2112
            WIRE 1872 2112 1872 2528
        END BRANCH
        BEGIN INSTANCE "RdB" 2368 2368 M0
            BEGIN DISPLAY 0 -412 ATTR "InstName"
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE "WaitFin" 720 1696 M0
            BEGIN DISPLAY 0 -412 ATTR "InstName"
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        INSTANCE "XLXI_17" 496 1264 R0
        BEGIN BRANCH "XLXN_40"
            WIRE 720 1440 752 1440
        END BRANCH
        BEGIN BRANCH "XLXN_42"
            WIRE 752 1168 1072 1168
            WIRE 1072 1168 1072 1408
            WIRE 1008 1408 1072 1408
        END BRANCH
        INSTANCE "XLXI_18" 1008 1536 M0
        BEGIN INSTANCE "Exec" 1424 2368 M0
            BEGIN DISPLAY 0 -412 ATTR "InstName"
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH "ECC"
            WIRE 736 2112 1024 2112
            WIRE 1024 2112 1040 2112
            WIRE 1008 1472 1024 1472
            WIRE 1024 1472 1024 2112
        END BRANCH
        INSTANCE "XLXI_21" 1072 832 M0
        BEGIN BRANCH "XLXN_48"
            WIRE 560 416 640 416
        END BRANCH
        INSTANCE "XLXI_22" 256 896 R270
        INSTANCE "XLXI_23" 304 512 R0
        BEGIN BRANCH "XLXN_49"
            WIRE 256 448 304 448
            WIRE 256 448 256 800
            WIRE 256 800 848 800
        END BRANCH
        BEGIN BRANCH "XLXN_50"
            WIRE 160 384 304 384
            WIRE 160 384 160 640
        END BRANCH
        BEGIN BRANCH "XLXN_51"
            WIRE 192 896 192 960
            WIRE 192 960 368 960
            WIRE 368 624 1072 624
            WIRE 368 624 368 960
            WIRE 1024 416 1072 416
            WIRE 1072 416 1248 416
            WIRE 1072 416 1072 624
        END BRANCH
        BEGIN BRANCH "XLXN_52"
            WIRE 128 896 128 1200
            WIRE 128 1200 128 1440
            WIRE 128 1440 336 1440
            WIRE 128 1200 496 1200
        END BRANCH
        BEGIN BRANCH "reset"
            WIRE 416 320 448 320
            WIRE 448 320 640 320
        END BRANCH
        BEGIN BRANCH "clk"
            WIRE 432 544 640 544
        END BRANCH
        BEGIN BRANCH "clk"
            WIRE 720 1568 864 1568
            WIRE 864 1568 880 1568
            BEGIN DISPLAY 864 1568 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "clk"
            WIRE 1776 1552 2096 1552
            BEGIN DISPLAY 1776 1552 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "clk"
            WIRE 2240 1136 2448 1136
            BEGIN DISPLAY 2240 1136 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "clk"
            WIRE 2368 2240 2576 2240
            BEGIN DISPLAY 2576 2240 ATTR "Name"
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "clk"
            WIRE 1424 2240 1760 2240
            BEGIN DISPLAY 1760 2240 ATTR "Name"
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "clk"
            WIRE 1472 512 1696 512
            BEGIN DISPLAY 1472 512 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 432 544 "clk" R180 28
        IOMARKER 416 320 "reset" R180 28
        BEGIN BRANCH "reset"
            WIRE 1536 608 1696 608
            BEGIN DISPLAY 1536 608 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "reset"
            WIRE 2272 1232 2448 1232
            BEGIN DISPLAY 2272 1232 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "reset"
            WIRE 1888 1648 2096 1648
            BEGIN DISPLAY 1888 1648 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "reset"
            WIRE 1424 2336 1632 2336
            BEGIN DISPLAY 1632 2336 ATTR "Name"
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "reset"
            WIRE 720 1664 912 1664
            BEGIN DISPLAY 912 1664 ATTR "Name"
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "reset"
            WIRE 2368 2336 2384 2336
            WIRE 2384 2336 2560 2336
            WIRE 2560 2336 2608 2336
            BEGIN DISPLAY 2560 2336 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2304 384 "ECA" R0 28
        IOMARKER 1872 2528 "ECB" R90 28
        IOMARKER 736 2112 "ECC" R180 28
    END SHEET
END SCHEMATIC
