VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "XLXN_1"
        SIGNAL "XLXN_2"
        SIGNAL "XLXN_3"
        SIGNAL "swtch(7:0)"
        SIGNAL "LCD(63:0)"
        SIGNAL "LCD(7:0)"
        SIGNAL "dio(0)"
        SIGNAL "dio(15:0)"
        SIGNAL "dio(15:8)"
        SIGNAL "dio(7:4)"
        SIGNAL "dio(3)"
        SIGNAL "dio(2)"
        SIGNAL "dio(1)"
        SIGNAL "LCD(63:32)"
        SIGNAL "LCD(15:8)"
        SIGNAL "sseg(15:0)"
        SIGNAL "sseg(15:8)"
        SIGNAL "sseg(7:0)"
        SIGNAL "LCD(31:16)"
        SIGNAL "Button"
        SIGNAL "Reset"
        SIGNAL "CLK"
        PORT Input "swtch(7:0)"
        PORT Output "LCD(63:0)"
        PORT Output "dio(15:0)"
        PORT Output "sseg(15:0)"
        PORT Input "Button"
        PORT Input "Reset"
        PORT Input "CLK"
        BEGIN BLOCKDEF "example_data"
            TIMESTAMP 2005 2 20 16 12 42
            RECTANGLE N 64 -384 320 -40 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 384 -80 316 -80 
            RECTANGLE N 320 -92 384 -68 
            LINE N 64 -80 0 -80 
            LINE N 320 -352 384 -352 
            RECTANGLE N 320 -364 384 -340 
            LINE N 320 -288 384 -288 
            RECTANGLE N 320 -300 384 -276 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -172 384 -148 
        END BLOCKDEF
        BEGIN BLOCKDEF "zeros32"
            TIMESTAMP 2005 2 20 17 24 59
            RECTANGLE N 64 -64 320 0 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF "zeros8"
            TIMESTAMP 2005 2 20 17 25 12
            RECTANGLE N 64 -64 320 0 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF "zeros16"
            TIMESTAMP 2005 2 20 17 24 52
            RECTANGLE N 64 -64 320 0 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF "zeros4"
            TIMESTAMP 2005 2 20 17 25 5
            RECTANGLE N 64 -64 320 0 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF "gnd"
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF "ex_mictrl"
            TIMESTAMP 2005 4 24 16 56 42
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_2" "example_data"
            PIN "ECA" "XLXN_1"
            PIN "clk" "CLK"
            PIN "res" "Reset"
            PIN "ECC" "XLXN_3"
            PIN "data(7:0)" "swtch(7:0)"
            PIN "ECB" "XLXN_2"
            PIN "A(7:0)" "sseg(15:8)"
            PIN "C(7:0)" "LCD(7:0)"
            PIN "OVERFLOW" "dio(0)"
            PIN "B(7:0)" "sseg(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_9" "zeros8"
            PIN "dout(7:0)" "dio(15:8)"
        END BLOCK
        BEGIN BLOCK "XLXI_10" "zeros4"
            PIN "dout(3:0)" "dio(7:4)"
        END BLOCK
        BEGIN BLOCK "XLXI_11" "gnd"
            PIN "G" "dio(3)"
        END BLOCK
        BEGIN BLOCK "XLXI_12" "gnd"
            PIN "G" "dio(2)"
        END BLOCK
        BEGIN BLOCK "XLXI_13" "gnd"
            PIN "G" "dio(1)"
        END BLOCK
        BEGIN BLOCK "XLXI_15" "zeros32"
            PIN "dout(31:0)" "LCD(63:32)"
        END BLOCK
        BEGIN BLOCK "XLXI_16" "zeros8"
            PIN "dout(7:0)" "LCD(15:8)"
        END BLOCK
        BEGIN BLOCK "XLXI_17" "zeros16"
            PIN "dout(15:0)" "LCD(31:16)"
        END BLOCK
        BEGIN BLOCK "XLXI_21" "ex_mictrl"
            PIN "Button" "Button"
            PIN "reset" "Reset"
            PIN "clk" "CLK"
            PIN "ECA" "XLXN_1"
            PIN "ECB" "XLXN_2"
            PIN "ECC" "XLXN_3"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE "XLXI_2" 1760 1312 R0
        END INSTANCE
        BEGIN BRANCH "XLXN_1"
            WIRE 1120 960 1760 960
        END BRANCH
        BEGIN BRANCH "XLXN_2"
            WIRE 1120 1024 1472 1024
            WIRE 1472 1024 1472 1232
            WIRE 1472 1232 1760 1232
        END BRANCH
        BEGIN BRANCH "XLXN_3"
            WIRE 1120 1088 1456 1088
            WIRE 1456 1088 1456 1152
            WIRE 1456 1152 1760 1152
        END BRANCH
        BEGIN BRANCH "swtch(7:0)"
            WIRE 2144 1232 2768 1232
        END BRANCH
        IOMARKER 2768 1232 "swtch(7:0)" R0 28
        BEGIN BRANCH "LCD(63:0)"
            WIRE 2736 1024 2848 1024
            WIRE 2848 1024 2928 1024
            BEGIN DISPLAY 2848 1024 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "LCD(7:0)"
            WIRE 2144 1024 2640 1024
        END BRANCH
        IOMARKER 2928 1024 "LCD(63:0)" R0 28
        IOMARKER 2928 1088 "dio(15:0)" R0 28
        BEGIN BRANCH "dio(0)"
            WIRE 2144 1088 2640 1088
        END BRANCH
        BEGIN BRANCH "dio(15:0)"
            WIRE 2736 1088 2848 1088
            WIRE 2848 1088 2928 1088
            BEGIN DISPLAY 2848 1088 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE "XLXI_9" 1536 2016 R0
        END INSTANCE
        BEGIN INSTANCE "XLXI_10" 1536 2176 R0
        END INSTANCE
        BEGIN BRANCH "dio(15:8)"
            WIRE 1920 1984 2064 1984
            WIRE 2064 1984 2624 1984
            BEGIN DISPLAY 2064 1984 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "dio(7:4)"
            WIRE 1920 2144 2064 2144
            WIRE 2064 2144 2608 2144
            BEGIN DISPLAY 2064 2144 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_11" 1616 2432 R0
        BEGIN BRANCH "dio(3)"
            WIRE 1680 2240 1680 2304
            WIRE 1680 2240 2560 2240
        END BRANCH
        INSTANCE "XLXI_12" 1696 2576 R0
        BEGIN BRANCH "dio(2)"
            WIRE 1760 2384 1760 2448
            WIRE 1760 2384 2528 2384
        END BRANCH
        INSTANCE "XLXI_13" 1808 2688 R0
        BEGIN BRANCH "dio(1)"
            WIRE 1872 2528 2576 2528
            WIRE 1872 2528 1872 2560
        END BRANCH
        BEGIN INSTANCE "XLXI_15" 1536 1456 R0
        END INSTANCE
        BEGIN INSTANCE "XLXI_16" 1536 1616 R0
        END INSTANCE
        BEGIN BRANCH "LCD(63:32)"
            WIRE 1920 1424 2064 1424
            WIRE 2064 1424 2688 1424
            BEGIN DISPLAY 2064 1424 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "LCD(15:8)"
            WIRE 1920 1584 2064 1584
            WIRE 2064 1584 2688 1584
            BEGIN DISPLAY 2064 1584 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "sseg(15:0)"
            WIRE 2720 960 2848 960
            WIRE 2848 960 2960 960
            BEGIN DISPLAY 2848 960 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2960 960 "sseg(15:0)" R0 28
        BEGIN BRANCH "sseg(15:8)"
            WIRE 2144 960 2560 960
        END BRANCH
        BEGIN BRANCH "sseg(7:0)"
            WIRE 2144 1152 2560 1152
        END BRANCH
        BEGIN INSTANCE "XLXI_17" 1536 1760 R0
        END INSTANCE
        BEGIN BRANCH "LCD(31:16)"
            WIRE 1920 1728 2064 1728
            WIRE 2064 1728 2688 1728
            BEGIN DISPLAY 2064 1728 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Button"
            WIRE 368 960 672 960
            WIRE 672 960 736 960
        END BRANCH
        BEGIN BRANCH "Reset"
            WIRE 368 1024 736 1024
        END BRANCH
        BEGIN BRANCH "CLK"
            WIRE 368 1088 640 1088
            WIRE 640 1088 736 1088
        END BRANCH
        IOMARKER 368 960 "Button" R180 28
        IOMARKER 368 1024 "Reset" R180 28
        IOMARKER 368 1088 "CLK" R180 28
        BEGIN BRANCH "CLK"
            WIRE 1632 1024 1760 1024
            BEGIN DISPLAY 1632 1024 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "Reset"
            WIRE 1632 1088 1760 1088
            BEGIN DISPLAY 1632 1088 ATTR "Name"
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE "XLXI_21" 736 1120 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
